=== src/common/global/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_extend_target(Graphs
    SOURCES
        qgraphsglobal_p.h
        qgraphsglobal.h
)
