=== src/common/theme/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_extend_target(Graphs
    SOURCES
        qgraphstheme.cpp qgraphstheme.h qgraphstheme_p.h
        qquickgraphscolor.cpp qquickgraphscolor_p.h
    INCLUDE_DIRECTORIES
        ../utils/
)
