=== tests/auto/cpp2dtest/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(qgaxis-value)
if (QT_FEATURE_timezone)
    add_subdirectory(qgaxis-datetime)
endif()
if(QT_FEATURE_graphs_2d_area)
    if(QT_FEATURE_graphs_2d_spline)
        add_definitions(-DUSE_SPLINEGRAPH) # for testing QSplineSeries as upper and lower series
    endif()
    add_subdirectory(qgarea)
endif()
if(QT_FEATURE_graphs_2d_bar)
    add_subdirectory(qgaxis-abstract)
    add_subdirectory(qgaxis-barcategory)
    add_subdirectory(qgbarmodelmapper)
    add_subdirectory(qgbars)
    add_subdirectory(qgbars-set)
endif()
if(QT_FEATURE_graphs_2d_donut_pie)
    add_subdirectory(qgpieslice)
    add_subdirectory(qgpieseries)
    add_subdirectory(qgpiemodelmapper)
endif()
if(QT_FEATURE_graphs_2d_line)
    add_subdirectory(qglines)
    add_subdirectory(qgxymodelmapper) # uses QLineSeries for testing
endif()
if(QT_FEATURE_graphs_2d_scatter)
    add_subdirectory(qgscatter)
    add_subdirectory(qgxychart) # uses QScatterSeries for testing
endif()
if(QT_FEATURE_graphs_2d_spline)
    add_subdirectory(qgsplines)
endif()
