=== tests/auto/cpptest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_graphs_3d_bars3d)
    add_subdirectory(qgbars)
    add_subdirectory(qgbars-proxy)
    add_subdirectory(qgbars-modelproxy)
    add_subdirectory(qgbars-series)
    add_subdirectory(qginput)
    add_subdirectory(qgscene)
endif()
if(QT_FEATURE_graphs_3d_scatter3d)
    add_subdirectory(qgscatter)
    add_subdirectory(qgscatter-proxy)
    add_subdirectory(qgscatter-modelproxy)
    add_subdirectory(qgscatter-series)
    add_subdirectory(qgspline-series)
endif()
if(QT_FEATURE_graphs_3d_surface3d)
    add_subdirectory(qgsurface)
    add_subdirectory(qgsurface-proxy)
    add_subdirectory(qgsurface-modelproxy)
    add_subdirectory(qgsurface-modelproxy-nan)
    add_subdirectory(qgsurface-heightproxy)
    add_subdirectory(qgsurface-series)
endif()

add_subdirectory(qgaxis-category)
add_subdirectory(qgaxis-logvalue)
add_subdirectory(qgaxis-value)
add_subdirectory(qgtheme)
add_subdirectory(qgcustom)
add_subdirectory(qgcustom-label)
add_subdirectory(qgcustom-volume)
