=== debian/changelog ===
qt6-graphs (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Nov 2025 23:57:35 +0100

qt6-graphs (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:14:33 +0200

qt6-graphs (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Sep 2025 08:51:25 +0200

qt6-graphs (6.9.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix FTCBFS: Pass QT_HOST_PATH, thx to Helmut Grohne (Closes:
    #1113858).

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Sep 2025 18:25:10 +0200
