=== debian/control ===
Source: qt6-graphs
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcups2-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               qt6-quick3d-dev (>= 6.9.3~),
               qt6-shadertools-dev (>= 6.9.3~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-graphs.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-graphs
Maintainer: Neon CI <neon@kde.org>

Package: qt6-graphs
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6graphs6,
          libqt6graphs6-plugins,
          libqt6graphsquick6,
          qml6-module-qtgraphs
Description: Qt 6 Graphs Data Visualization library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to visualize data in 3D as bar, scatter,
 and surface graphs.

Package: qt6-graphs-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-graphs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-graphs-doc-dev, qt6-graphs-examples
Description: Qt 6 Graphs Data Visualization - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using the Qt Graphs Data Visualization library.

Package: qt6-graphs-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-graphs-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-graphs-doc-html
Description: Qt 6 Graphs Data Visualization - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files to help build Qt applications
 using the Qt Graphs Data Visualization library.

Package: libqt6graphs6
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6graphsquick6
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6graphs6-plugins
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtgraphs
Architecture: all
Depends: qt6-graphs, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-graphs-doc-dev
Architecture: all
Depends: qt6-graphs-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-graphs-doc-html
Architecture: all
Depends: qt6-graphs-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-graphs-examples
Architecture: all
Depends: qt6-graphs-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
