=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.3~),
-               qt6-declarative-dev (>= 6.9.3~),
-               qt6-quick3d-dev (>= 6.9.3~),
-               qt6-shadertools-dev (>= 6.9.3~),
+               qt6-base-dev (>= 6.10.0~),
+               qt6-declarative-dev (>= 6.10.0~),
+               qt6-quick3d-dev (>= 6.10.0~),
+               qt6-shadertools-dev (>= 6.10.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
-                     qt6-tools (>= 6.9~) <!nodoc>
+Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
+                     qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Rules-Requires-Root: no
@@ -72,7 +72,7 @@
 Replaces: qt6-graphs-doc-html
 Description: Qt 6 Graphs Data Visualization - documentation files
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
+ is its rich set of widgets that provide standard GUI fubump abi and/or internal build dep requirementsnctionality.
  .
  This package contains the documentation files to help build Qt applications
  using the Qt Graphs Data Visualization library.
