=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-quick3d-dev (>= 6.10.0~),
-               qt6-shadertools-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-quick3d-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
