=== debian/changelog ===
qt6-graphs (6.10.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Feb 2026 16:36:07 +0100

qt6-graphs (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Feb 2026 19:23:06 +0100
