=== debian/control ===
Source: qt6-graphs
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libcups2-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-quick3d-dev (>= 6.10.2~),
               qt6-quick3d-private-dev (>= 6.10.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs.git

Package: libqt6graphs6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs library.

Package: libqt6graphswidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs Widgets library.

Package: qml6-module-qtgraphs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs QML module.

Package: qt6-graphs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6graphs6 (= ${binary:Version}),
         libqt6graphswidgets6 (= ${binary:Version}),
         qml6-module-qtgraphs (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Graphs - development
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using the Qt Graphs library.

Package: qt6-graphs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Description: Qt 6 Graphs documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Graphs.

Package: qt6-graphs-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Description: Qt 6 Graphs HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Graphs.

Package: qt6-graphs-examples
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Graphs examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs examples.
